package danielcortes.xyz.views.listeners;

import java.awt.event.WindowEvent;
import java.awt.event.WindowListener;

/**
 * Simple wraper for WindowListener to simple use the windowClosing method in a lambda function
 */
public interface WindowClosingListener extends WindowListener {

  default void windowOpened(WindowEvent e) {
  }

  default void windowClosed(WindowEvent e) {
  }

  default void windowIconified(WindowEvent e) {
  }

  default void windowDeiconified(WindowEvent e) {
  }

  default void windowActivated(WindowEvent e) {
  }

  default void windowDeactivated(WindowEvent e) {
  }

  void windowClosing(WindowEvent e);
}
